//
//  ParamModel.h
//  AsReaderScan
//
//  @brief  This is for M24D. This file defines two classes, SymbolItemFromArray and SecurityItemFromArray, which represent individual settings or parameters that are stored in NSUserDefaults.
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#ifndef ParamModel_h
#define ParamModel_h


#endif /* ParamModel_h */
#import <Foundation/Foundation.h>

@interface SymbolItemFromArray : NSObject

@property (nonatomic, strong) NSString *title;
@property (nonatomic, assign) NSInteger code;

- (instancetype)initWithTitle:(NSString *)title code:(NSInteger)code;
- (BOOL)isOn;
- (void)setIsOn:(BOOL)isOn;

@end

@interface SecurityItemFromArray : NSObject

@property (nonatomic, strong) NSString *title;
@property (nonatomic, assign) NSInteger code;

- (instancetype)initWithTitle:(NSString *)title code:(NSInteger)code;
- (NSInteger)level;
- (void)setLevel:(NSInteger)level;

@end
