//
//  MoreController.m
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import "MoreController.h"
#import "SettingsCommonController.h"
#import "SettingViewController.h"
#import "AboutController.h"
#import <AsReaderDockSDK/AsReaderDockSDK.h>

@interface MoreController ()
@property(nonatomic, strong, readwrite) SettingsCommonController *settingsCommonController;
@property(nonatomic, strong, readwrite) AboutController *aboutController;
@property(nonatomic, strong, readwrite) SettingViewController *m24dSetingsController;
@property(nonatomic, strong) UIBarButtonItem *backBarButtonItem;
@property (weak, nonatomic) IBOutlet UITableViewCell *olCellM24D;
@property (weak, nonatomic) IBOutlet UITableViewCell *olCellSetting;

@property(nonatomic, weak) IBOutlet UITableViewCell *olCellRFID;
@property(nonatomic, weak) IBOutlet UITableViewCell *olCellRFM;
@property (weak, nonatomic) IBOutlet UITableViewCell *olCellReaderInformation;
@end

@implementation MoreController

#pragma mark - Segue
//----------------------------------------------------------------
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // if ([segue.identifier isEqualToString:@"seguePopSettings"]) {
    //     self.settingsPopController = segue.destinationViewController;
    // } else if ([segue.identifier isEqualToString:@"segueAbout"]) {
    //     self.aboutController = segue.destinationViewController;
    // } else if ([segue.identifier isEqualToString:@"segueM24DSettings"]) {
    //     self.m24dSetingsController = segue.destinationViewController;
    // }
}

#pragma mark - Lifecycle
//----------------------------------------------------------------
- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
}

- (void)viewWillAppear:(BOOL)animated
{
    AsReaderInfo *info = [AsReaderInfo sharedInstance];
    
    [self.olCellReaderInformation setSelected:NO];
    
    //NSString *modelStr = info.deviceModelNumber;
    //LFRFID not support RFID Settings and RFM .    
    switch (info.currentReaderMode) {
        case ReaderModeRfid:
        {
            // 現在のモードでセルの表示を制御
            // RFIDセルとRFMセルはRFIDとDUALのモードのみ表示
            [self.olCellRFID setHidden:NO];
            [self.olCellRFID setSelected:NO];            
			[self.olCellRFM setHidden:NO];
            [self.olCellRFM setSelected:NO];
			// BARCODE
			[self.olCellM24D setHidden:YES];
			[self.olCellSetting setHidden:NO];
            break;
        }
        case ReaderModeDualBarcodeRfid:
        {
			// RFID
			[self.olCellRFID setHidden:NO];
            [self.olCellRFID setSelected:NO];
            [self.olCellRFM setHidden:NO];
            [self.olCellRFM setSelected:NO];
			// barcode
			if( info.barcodeEngineType != BARCODE_ENGINE_ZEBRA_SSI) 
			{
				[self.olCellM24D setHidden:YES];
				[self.olCellSetting setHidden:NO];
				[self.olCellSetting setSelected:NO];
			} else {
				[self.olCellM24D setHidden:NO];
				[self.olCellM24D setSelected:NO];
				[self.olCellSetting setHidden:YES];
			}			
            break;
        }
		// Barcocde / NFC / LF ... except RFID
        default:
		{
			[self.olCellRFID setHidden:YES];
        	[self.olCellRFM setHidden:YES];
			if( info.barcodeEngineType != BARCODE_ENGINE_ZEBRA_SSI) 
			{
				[self.olCellM24D setHidden:YES];
				[self.olCellSetting setHidden:NO];
				[self.olCellSetting setSelected:NO];
			} else {
				[self.olCellM24D setHidden:NO];
				[self.olCellM24D setSelected:NO];
				[self.olCellSetting setHidden:YES];
			}
            break;
		}
    }
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath 
{
    UITableViewCell *cell = [super tableView:tableView cellForRowAtIndexPath:indexPath];
    if (cell.hidden) {
        return 0;
    } else {
        return [super tableView:tableView heightForRowAtIndexPath:indexPath];
    }
}

@end
