//
//  SoundDataSource.h
//  AsReaderScan
//
//  Created by koda on 2015年/2015/07/21.
//
//

#import <Foundation/Foundation.h>
@class SoundManager;


typedef void(^SoundCellConfigurationBlock)(NSIndexPath *indexPath, UITableViewCell *cell);

/**
 *  @brief      The class in the provided code, SoundDataSource, is a UITableView data source that interacts with a SoundManager instance to display a list of sound items in a table view. This class implements KVO to monitor changes in the SoundManager's dataSource and dynamically update the table view when the data changes.
 */
@interface SoundDataSource : NSObject<UITableViewDataSource>

- (id)initWithObserved:(SoundManager *)observedManager
               keyPath:(NSString*)keyPath
        cellIdentifier:(NSString *)cellIdentifier
             tableView:(UITableView*)tableView
    configureCellBlock:(SoundCellConfigurationBlock)configureCellBlock;
@end
